<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS</title>
</head>
<body>
<?php require "assets/header.php" ?>
<main>
    <section class="welcome">
        <h1>Jak v i3wm opravit nefunkční nastavení jasu monitoru</h1>
        <p>
            Pokud vám po instalaci i3wm nefunguje jas monitoru, náprava je poměrně
            jednoduchá.
        </p>
        <p>Nainstalujte si brightnessctl pomocí příkazu:</p>
        <div class="code-box">
          <pre id="code-content">
            yay -S brightnessctl 
            
          </pre>
        </div>

        <p>
            Restartujte počítač a otestujte funkčnost jasu monitoru. Změna se
            provede tímto příkazem:
        </p>
        <div class="code-box">
          <pre id="code-content">
            brightnessctl se 30 
            
          </pre>
        </div>

        <p>
            Pokud se vám jas snížil na 30% je vš v přádku a můžeme pokračovat
            nastavení ovládání jasu na klávesnici.
        </p>
        <h3>Ovládání jasu pomocí klávesnice:</h3>
        <p>
            Ve skriptu
            <strong>~/.config/i3/scripts/volume_brightness.sh</strong> na konci
            změnit záznam na:
        </p>
        <div class="code-box">
          <pre id="code-content">
    brightness_up)
     # Increases brightness and displays the notification
     brightnessctl set "10%+"
     show_brightness_notif
     ;;
            

    brightness_down)
     # Decreases brightness and displays the notification
     brightnessctl set "10%-"
     show_brightness_notif
     ;;
          </pre>
        </div>

        <p>
            A to je vše,teď by Vám nastavení jasu mělo jít pomocí funkčních
            kláves.
        </p>
        <code
        ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
            16.4.2024</code
    </section>
</main>
<?php require "assets/returnbutton.php" ?>
<?php require "assets/footer.php" ?>
<script src="assets/script.js"></script>
</body>
</html>
